Bug 821589 - Mutter second guessing explicitly set window size, maximises instead
Mutter second guessing explicitly set window size, maximises instead
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
: 831030 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 00:18 EDT by Bojan Smojver
Modified: 2013-08-01 04:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:19:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2012-05-15 00:18:16 EDT
Description of problem:
Mutter unnecessarily resizes large windows (using a completely arbitrary formula), causing applications to look ugly and have white border around the area that is actually used by the app. Instance, ICAClient, although specifically set here to have 1520x840 size, resizes to full work area and becomes hideously ugly. Not to mention I have to waste time to resize it back to what it's supposed to be.

Version-Release number of selected component (if applicable):
mutter-3.4.1-2.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Set a window of an app to a certain size, bigger than the arbitrary limit set by mutter.
2. Watch it being maximised on open.
  
Actual results:
Window unnecessarily being maximised.

Expected results:
User settings should be obeyed. If nothing else, there should be a setting that would allow them to be obeyed.

Additional info:
Metacity does the right thing.
Comment 1 Bojan Smojver 2012-05-15 00:33:28 EDT
Oh, forgot. This is probably the cause:

http://git.gnome.org/browse/mutter/commit/?id=f2f500836ef217bfbd7bbf5ad54c9248cbdb7925
Comment 2 Jeff Sheltren 2012-08-01 10:24:03 EDT
*** Bug 831030 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Sheltren 2012-08-01 10:55:33 EDT
I've filed a bug upstream as well: https://bugzilla.gnome.org/show_bug.cgi?id=680990
Comment 4 Fedora End Of Life 2013-07-03 22:25:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 04:19:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.